/* -*- Mode: C; c-file-style: "bsd"; -*- */
#ifndef __NXP_CANVAS_BBOX_H__
#define __NXP_CANVAS_BBOX_H__

#include <glib-object.h>


#define NXP_CANVAS_BBOX(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object),\
				nxp_canvas_bbox_get_type(), NxpCanvasBBox))

#define NXP_CANVAS_BBOX_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST ((klass),\
				nxp_canvas_bbox_get_type(), NxpCanvasBBoxClass))

#define NXP_IS_CANVAS_BBOX(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object),\
				nxp_canvas_bbox_get_type()))

#define NXP_IS_CANVAS_BBOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass),\
				nxp_canvas_bbox_get_type()))

#define NXP_CANVAS_BBOX_GET_CLASS(object)  (G_TYPE_INSTANCE_GET_CLASS ((object),\
				nxp_canvas_bbox_get_type(), NxpCanvasBBoxClass))

#define NXP_CANVAS_BBOX_TYPE(object)       (G_TYPE_FROM_INSTANCE (object))
#define NXP_CANVAS_BBOX_TYPE_NAME(object)  (g_type_name (NXP_CANVAS_BBOX_TYPE (object)))
#define NXP_CANVAS_BBOX_CLASS_TYPE(klass)  (G_TYPE_FROM_CLASS (klass))
#define NXP_CANVAS_BBOX_CLASS_NAME(klass)  (g_type_name (NXP_CANVAS_BBOX_CLASS_TYPE (klass)))

#define NXP_TYPE_CANVAS_BBOX    (nxp_canvas_bbox_get_type())


typedef struct _NxpCanvasBBox NxpCanvasBBox;
typedef struct _NxpCanvasBBoxClass NxpCanvasBBoxClass;


#include "nxpcanvasoverlay.h"


struct _NxpCanvasBBox
{
    NxpCanvasOverlay overlay;
    GdkLineStyle line_style;
    gint handle_size;
    struct {
	GdkRectangle nw, n, ne, e, se, s, sw, w;
	NxpCanvasObjectInteractionMask mask;
    } handles;
};


struct _NxpCanvasBBoxClass
{
    NxpCanvasOverlayClass base;

};


GType             nxp_canvas_bbox_get_type     (void);
NxpCanvasOverlay* nxp_canvas_bbox_new          (gint           x,
						gint           y,
						gint           width,
						gint           height);
void              nxp_canvas_bbox_set_geometry (NxpCanvasBBox *self,
						GdkRectangle  *geometry);




#endif /* __NXP_CANVAS_BBOX_H__ */
