
#ifndef __NXP_CANVAS_FIXED_H__
#define __NXP_CANVAS_FIXED_H__

#include "nxpcanvascontainer.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define NXP_CANVAS_FIXED(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object),\
				nxp_canvas_fixed_get_type(), NxpCanvasFixed))

#define NXP_CANVAS_FIXED_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST ((klass),\
				nxp_canvas_fixed_get_type(), NxpCanvasFixedClass))

#define NXP_IS_CANVAS_FIXED(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object),\
				nxp_canvas_fixed_get_type()))

#define NXP_IS_CANVAS_FIXED_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass),\
				nxp_canvas_fixed_get_type()))

#define NXP_CANVAS_FIXED_GET_CLASS(object)  (G_TYPE_INSTANCE_GET_CLASS ((object),\
				nxp_canvas_fixed_get_type(), NxpCanvasFixedClass))

#define NXP_CANVAS_FIXED_TYPE(object)       (G_TYPE_FROM_INSTANCE (object))
#define NXP_CANVAS_FIXED_TYPE_NAME(object)  (g_type_name (NXP_CANVAS_FIXED_TYPE (object)))
#define NXP_CANVAS_FIXED_CLASS_TYPE(klass)  (G_TYPE_FROM_CLASS (klass))
#define NXP_CANVAS_FIXED_CLASS_NAME(klass)  (g_type_name (NXP_CANVAS_FIXED_CLASS_TYPE (klass)))

#define NXP_TYPE_CANVAS_FIXED    (nxp_canvas_container_get_type())



typedef struct _NxpCanvasFixed        NxpCanvasFixed;
typedef struct _NxpCanvasFixedClass   NxpCanvasFixedClass;
typedef struct _NxpCanvasFixedChild   NxpCanvasFixedChild;

struct _NxpCanvasFixed
{
    NxpCanvasContainer container;
    
    GList *children; // list of NxpCanvasFixedChild
};

struct _NxpCanvasFixedClass
{
    NxpCanvasContainerClass parent_class;
};

struct _NxpCanvasFixedChild
{
    NxpCanvasObject *object;
    double x, y; /* bottom left corner of the object */
    NxplotRect bbox;
};


GType            nxp_canvas_fixed_get_type       (void) G_GNUC_CONST;
NxpCanvasObject* nxp_canvas_fixed_new            (void);
void             nxp_canvas_fixed_put            (NxpCanvasFixed  *fixed,
						  NxpCanvasObject *widget,
						  double           x,
						  double           y);
void             nxp_canvas_fixed_move           (NxpCanvasFixed  *fixed,
						  NxpCanvasObject *widget,
						  double           x,
						  double           y);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __NXP_CANVAS_FIXED_H__ */
